aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/python/install_jupyterlab_from_python_image.sh16
-rw-r--r--test/python/scenarios.json12
2 files changed, 28 insertions, 0 deletions
diff --git a/test/python/install_jupyterlab_from_python_image.sh b/test/python/install_jupyterlab_from_python_image.sh
new file mode 100644
index 0000000..067046b
--- /dev/null
+++ b/test/python/install_jupyterlab_from_python_image.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Always run these checks as the non-root user
+user="$(whoami)"
+check "user" grep vscode <<< "$user"
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Report result
+reportResults
diff --git a/test/python/scenarios.json b/test/python/scenarios.json
index 920f4a2..c3c1a82 100644
--- a/test/python/scenarios.json
+++ b/test/python/scenarios.json
@@ -13,6 +13,7 @@
"remoteUser": "vscode",
"features": {
"python": {
+ "version": "latest",
"installJupyterlab": true,
"configureJupyterlabAllowOrigin": "*"
}
@@ -36,6 +37,17 @@
"python": "os-provided"
}
},
+ "install_jupyterlab_from_python_image": {
+ "image": "mcr.microsoft.com/devcontainers/python:3.10-bullseye",
+ "remoteUser": "vscode",
+ "features": {
+ "python": {
+ "version": "none",
+ "installTools": false,
+ "installJupyterlab": true
+ }
+ }
+ },
"install_via_oryx": {
"image": "mcr.microsoft.com/oryx/build:full-debian-bullseye",
"features": {